#ifndef CONTROLLER_H
#define CONTROLLER_H

#include <string>
#include "Image.h"
#include "MessageImage.h"
#include "Display.h"
#include "Board.h"

class Controller
{
public:
	Controller();
	void GameLoop(void);

public:	/* FIXME change to private later */
	Image menu;
	MessageImage win, lose;
	Board board;
	Display display;
	
	void NewGame(void);
	void Help(void);
	void GetInput(void);
	void ChangeTileset(std::string filename);
};


#endif
