#ifndef IMAGE_H
#define IMAGE_H

#include <string>
#include "SDL.h"

class Image
{
public:
	Image(void) : surface(NULL) {   };
	virtual ~Image(void);
	void Load(std::string filename);
	SDL_Surface *GetSurface(void);
protected:
	void FreeSurface(void);
	SDL_Surface *surface;
private:
	// we don't want to accidently call the copy constructor, so its private
	Image(Image &img) { };	
};
#endif
