// this include gets to be outside the #ifndef because board.h
// must have a complete definition of Rulebook (a forward-declaration
// isn't sufficient)
#include "Board.h" 

#ifndef RULEBOOK_H
#define RULEBOOK_H

class Board; 
class Coord;

class Rulebook
{
public:
	void DoMove(Board &brd, Coord sqr);
	bool IsLegalMove(Board &brd, Coord source, Coord destination);
	bool IsGameWon(Board &brd);
	bool IsGameOver(Board &brd);
private:
};

#endif
